# Lấy chi tiết bình chọn

1. Body

<table><thead><tr><th width="135">Name</th><th width="389">Type</th><th>Description</th></tr></thead><tbody><tr><td>service</td><td>message</td><td></td></tr><tr><td>method</td><td>pollDetail</td><td></td></tr><tr><td>data</td><td><pre class="language-json"><code class="lang-json">{
    "method": "pollDetail",
    "service": "message",
    "data": {
        "accountId": "39456257143545255",
        "poolId": "280472245"
    }
}
</code></pre></td><td></td></tr></tbody></table>

2. Response

{% tabs %}
{% tab title="200" %}

```json
{
    "data": {
        "error_message": "Successful.",
        "data": {
            "created_time": 1726817305320,
            "updated_time": 1726817309567,
            "creator": "1598980502599776027",
            "question": "Chung ta ko thuoc ve nhau?",
            "joined": false,
            "expired_time": 0, // Hạn bình chọn
            "allow_multi_choices": true, // Cho phép nhiều lựa chọn
            "poll_type": 0, // Loại bình chọn
            "num_vote": 1, // số lượng vote
            "poll_id": 280472245, // id bình chọn
            "is_anonymous": false, // bình chọn ẩn danh hay không
            "options": [ // danh sách lựa chọn
                {
                    "voters": [ // những người đã vote
                        "1598980502599776027"
                    ],
                    "voted": false,
                    "votes": 1,
                    "option_id": 280472247,
                    "content": "Mtp" // nội dung bình chọn
                },
                {
                    "voters": [],
                    "voted": false,
                    "votes": 0,
                    "option_id": 280472246,
                    "content": "Son tung"
                }
            ],
            "allow_add_new_option": true, // có thể thêm lựa chọn hay không
            "closed": false, // bình chọn đã đóng hay chưa
            "is_hide_vote_preview": false // ẩn bình chọn khi chưa vote
        },
        "error_code": 0
    },
    "status": "success"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "status": "error",
    "error": {
        "message": "Something wrong was happened.",
        "code": null,
        "prms": null
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.salework.net/salework-tai-lieu/salework-zalo-open-api/message/lay-chi-tiet-binh-chon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
